Bug 498111 - qt-programs linked against libgrass_gprof (like gdal) crash when qgtkstyle is active
qt-programs linked against libgrass_gprof (like gdal) crash when qgtkstyle is...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
: 497851 570768 585998 588088 589496 594859 598996 599251 601629 602711 603443 604314 605942 606095 606181 607329 607935 610835 610973 611071 611095 611431 611670 613377 614042 (view as bug list)
Depends On: qt45-update
Blocks: 497741 497851
  Show dependency treegraph
 
Reported: 2009-04-28 17:44 EDT by Sven Lankes
Modified: 2010-08-07 17:57 EDT (History)
38 users (show)

See Also:
Fixed In Version: qt-4.6.3-8.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
example-code to trigger segfault (251 bytes, text/plain)
2009-04-28 17:44 EDT, Sven Lankes
no flags Details
Requested stracktrace (2.51 KB, text/plain)
2009-04-29 07:54 EDT, Sven Lankes
no flags Details
hack to avoid libgdal linking to libgrass_gproj (786 bytes, patch)
2009-04-29 16:00 EDT, Rex Dieter
no flags Details | Diff
script to build the reproducer and prepare some logs (1023 bytes, text/plain)
2010-05-13 12:36 EDT, Dan Horák
no flags Details

  None (edit)
Description Sven Lankes 2009-04-28 17:44:55 EDT
Created attachment 341656 [details]
example-code to trigger segfault

Description of problem:

A binary that links against qt and gdal segfaults immediately when using qgtkstyle.

Version-Release number of selected component (if applicable):

qt 4.5.* on f9 / f10 / f11
gdal 1.6.0

Steps to Reproduce:
1. Compile the attached helloworld.cpp
2. link against gdal
3. run the resulting binary (either from inside gnome or using -style GTK+)
  
Actual results:

segfault

Expected results:

Hello World
Comment 1 Kevin Kofler 2009-04-28 18:00:23 EDT
FYI, the real-world program which has this problem is merkaartor.
Comment 2 Ngo Than 2009-04-29 07:12:29 EDT
i cannot reproduce this problem with F11-preview!
could you please attach the backtrace of the crash? thanks
Comment 3 Sven Lankes 2009-04-29 07:54:43 EDT
Created attachment 341743 [details]
Requested stracktrace
Comment 4 Rex Dieter 2009-04-29 11:10:45 EDT
mailed gdal maintainers.


One guess of mine is that gdal has may have namespace issues (overriding or hijacking symbols used by qgtkstyle)
Comment 5 Rex Dieter 2009-04-29 11:30:14 EDT
Here's what may or may not be some useful playing and debugging:

used gtk-qt-engine to set gtk style, and now I can't reproduce crash
but removing the ~/.gtkrc-2.0-kde4 file created makes crash re-appear
but killing xsettings-kde makes crash go away too

creepy
Comment 6 Rex Dieter 2009-04-29 14:41:13 EDT
Bouncing to gdal, for advice, feedback.

For example, I rebuilt gdal without grass support, and can no longer reproduce any crashes.
Comment 7 Rex Dieter 2009-04-29 15:25:07 EDT
Narrowed down test case to linking -lQtGui -lgrass_gproj
Comment 8 Rex Dieter 2009-04-29 15:37:44 EDT
Volley to grass, for advice, feedback wrt crazy crashes
Comment 9 Rex Dieter 2009-04-29 15:58:59 EDT
For fun, rebuilt gdal, hacking out it's linking to libgrass_gproj, and qt app crashes went away too. Not sure if that's a viable option or not (don't see any undefined symbols in the resulting libgdal), but thought I'd mention it in case it is.
Comment 10 Rex Dieter 2009-04-29 16:00:43 EDT
Created attachment 341828 [details]
hack to avoid libgdal linking to libgrass_gproj
Comment 11 Kevin Kofler 2009-04-29 21:34:27 EDT
Does our GRASS have this changeset yet?
http://trac.osgeo.org/grass/changeset/36484
The bug in libgrass_gproj this fixes may be the source of the memory corruption.
Comment 12 Kevin Kofler 2009-04-29 21:44:00 EDT
That said, I doubt that's it as this memory abuse shouldn't get called by merely linking the library, there are no magic constructor sections or anything like that in libgrass_gproj.

Have you tried the dependencies of libgrass_gproj yet? In particular, libproj.so.0 from the proj package?
Comment 13 Kevin Kofler 2009-04-29 21:54:17 EDT
libproj has quite a few exported symbols with generic names:
http://trac.osgeo.org/proj/browser/trunk/proj/src/projects.h
* It overrides math functions like arc trig functions and hypot with its own versions.
* It has functions named vector1, vector2 and freev2.
This could be the problem, but it might also be a complete red herring.
Comment 14 Rex Dieter 2009-04-29 23:21:48 EDT
It seems to be the cross-linked libgdal <--> libgrass_gproj 

When I fixed gdal as above (comment #9 and comment #10), the libgrass_gproj-linked test case stopped crashing too.
Comment 15 Kevin Kofler 2009-04-30 10:00:24 EDT
That's really bizarre. The fact that they link against each other shouldn't break anything.
Comment 16 Alex Lancaster 2009-04-30 22:56:24 EDT
(In reply to comment #4)
> mailed gdal maintainers.

By the way, last time I checked the current maintainer, Cristian Balint, his FAS account was disabled a while back.  It may have since been re-enabled, but I haven't had a chance to check.  Meanwhile all ACLs for provenpackager have been lifted so co-maintainers can step up.
Comment 17 Alex Lancaster 2009-04-30 22:59:58 EDT
Cristian is/was the grass maintainer as well.
Comment 18 Rex Dieter 2009-04-30 23:19:58 EDT
Fun, well, we have a hackish workaround in comment #10, any objections to whipping up some test builds?
Comment 19 Alex Lancaster 2009-04-30 23:48:51 EDT
Seems Cristian's account has since been re-enabled: 

https://admin.fedoraproject.org/accounts/user/view/rezso

(you need to login to FAS to view the above page)
Comment 20 Rex Dieter 2009-05-01 07:54:41 EDT
Double lovely, gdal now FTBFS ,
http://koji.fedoraproject.org/koji/taskinfo?taskID=1331178

(in swig/ruby bindings).  Previously in testing, I only ever built libgdal by hand.
Comment 21 Kevin Kofler 2009-05-01 09:30:38 EDT
The errors:
> gdal_wrap.cpp: In function 'VALUE _wrap_GCP_Info_set(int, VALUE*, VALUE)':
> gdal_wrap.cpp:6057: error: could not convert 'GDAL_GCP_Info_set(arg1, ((const char*)arg2))' to 'bool'
> gdal_wrap.cpp:6057: error: type 'void' argument given to 'delete', expected pointer
> gdal_wrap.cpp:6060: error: invalid use of 'void'
> gdal_wrap.cpp:6062: error: invalid use of 'void'
> gdal_wrap.cpp: In function 'VALUE _wrap_GCP_Id_set(int, VALUE*, VALUE)':
> gdal_wrap.cpp:6157: error: could not convert 'GDAL_GCP_Id_set(arg1, ((const char*)arg2))' to 'bool'
> gdal_wrap.cpp:6157: error: type 'void' argument given to 'delete', expected pointer
> gdal_wrap.cpp:6160: error: invalid use of 'void'
> gdal_wrap.cpp:6162: error: invalid use of 'void'

Looks like the .i files need fixing.


> Previously in testing, I only ever built libgdal by hand.

Without RPM_OPT_FLAGS? This pretty much invalidates all your tests, as merely rebuilding GDAL with different flags may have "fixed" it.
Comment 22 Rex Dieter 2009-05-01 09:38:51 EDT
With RPM_OPT_FLAGS, and the builds initiated from an rpmbuild.  Give me a *little* credit? :)
Comment 23 Cédric OLIVIER 2009-05-02 02:57:21 EDT
Hello, I have a segmentation fault too with merkaartor. (merkaartor-0.13.1-1.fc10.1.i386)

in dmesg :
merkaartor[4233]: segfault at 5c ip 034bc8b4 sp bf994680 error 4 in libQtGui.so.4.5.0[32f5000+9b8000]
merkaartor[4266]: segfault at 5c ip 034bc8b4 sp bf8b6b10 error 4 in libQtGui.so.4.5.0[32f5000+9b8000]
merkaartor[4401]: segfault at 5c ip 034bc8b4 sp bfd4afa0 error 4 in libQtGui.so.4.5.0[32f5000+9b8000]

Is it the same bug ? 
What can I do ?
Comment 24 Sven Lankes 2009-05-02 05:16:40 EDT
(In reply to comment #23)

> Hello, I have a segmentation fault too with merkaartor.
> (merkaartor-0.13.1-1.fc10.1.i386)
> in dmesg :
> merkaartor[4233]: segfault at 5c ip 034bc8b4 sp bf994680 error 4 in
> libQtGui.so.4.5.0[32f5000+9b8000]
> merkaartor[4266]: segfault at 5c ip 034bc8b4 sp bf8b6b10 error 4 in
> libQtGui.so.4.5.0[32f5000+9b8000]
> merkaartor[4401]: segfault at 5c ip 034bc8b4 sp bfd4afa0 error 4 in
> libQtGui.so.4.5.0[32f5000+9b8000]
> Is it the same bug ? 
> What can I do ?  

This looks like the same bug, yes. I have created an update that includes a workaround. Said update is still waiting for the next update push. You can install it from http://koji.fedoraproject.org/koji/buildinfo?buildID=100112 in the meantime.
Comment 25 Cédric OLIVIER 2009-05-02 16:53:01 EDT
(In reply to comment #24)
> (In reply to comment #23)
> 
> > Hello, I have a segmentation fault too with merkaartor.
> > (merkaartor-0.13.1-1.fc10.1.i386)
> > in dmesg :
> > merkaartor[4233]: segfault at 5c ip 034bc8b4 sp bf994680 error 4 in
> > libQtGui.so.4.5.0[32f5000+9b8000]
> > merkaartor[4266]: segfault at 5c ip 034bc8b4 sp bf8b6b10 error 4 in
> > libQtGui.so.4.5.0[32f5000+9b8000]
> > merkaartor[4401]: segfault at 5c ip 034bc8b4 sp bfd4afa0 error 4 in
> > libQtGui.so.4.5.0[32f5000+9b8000]
> > Is it the same bug ? 
> > What can I do ?  
> 
> This looks like the same bug, yes. I have created an update that includes a
> workaround. Said update is still waiting for the next update push. You can
> install it from http://koji.fedoraproject.org/koji/buildinfo?buildID=100112 in
> the meantime.  

Thanks a lot, That's solve my problem. So it was the same bug...
Comment 26 Bug Zapper 2009-06-09 10:43:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 christy.m.n 2009-06-10 08:51:16 EDT
I've had QGIS segfault'ing since qt-4.5.0-14 was released (see bug #497851) on Fedora 9 and 10, and this continues on Fedora 11.  I have tried rebuilding gdal 1.5.3 on Fedora 9 and 1.6.0 on Fedora 10 with the suggestion in comment 10, hoping that it would solve the problem, but the build fails with "undefined reference to `GPJ_grass_to_wkt'"
Comment 28 christy.m.n 2009-06-13 08:49:55 EDT
Just wanted to note that this was not the problem with QGIS, bug #497851 has the fix that worked for me with Fedora 9, 10 and 11.
Comment 29 Rex Dieter 2009-06-13 10:10:28 EDT
This *is* the same problem, afaict, you just worked around it by changing styles.
Comment 30 Dan Horák 2009-07-30 08:56:33 EDT
gdal 1.6.1 is built in rawhide, yet in bootstrap mode

And after reading its "configure.in" I've found that it support symbols visibility (disabled by default). IMO it's worth trying in next builds.
Comment 31 Douglas E. Warner 2009-07-30 15:13:55 EDT
*** Bug 497851 has been marked as a duplicate of this bug. ***
Comment 32 Sven Lankes 2009-08-12 10:54:54 EDT
I can no longer reproduce this error an rawhide. Might have been fixed with the updated gdal.
Comment 33 Dan Horák 2009-08-18 05:40:46 EDT
(In reply to comment #32)
> I can no longer reproduce this error an rawhide. Might have been fixed with the
> updated gdal.  

It is because gdal from rawhide is built without grass support. Enabling symbol visibility feature in gdal doesn't help.
Comment 34 Zirneklitis 2009-09-11 14:57:16 EDT
I have a fresh install of Fedora 11 x86-64 with latest updates. QGIS does not work. Workarounds mentioned in Comment #28 does not improve the situation. Here comes the printout of terminal window:

[me@pc ~]$ qgis
Segmentation fault
[me@pce ~]$ su root
Password: 
[root@pc me]# qgis
Warning: Qt: Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
Segmentation fault
[root@pc me]#
Comment 35 Alex Lancaster 2009-09-11 20:28:01 EDT
I can confirm I get the same problem on F-11, although I can workaround this by changing the theme to "Cleanlooks" using qtconfig-qt4.  If I select them "GTK+",  or use the default then I get a seg fault.
Comment 36 Zirneklitis 2009-09-13 21:36:03 EDT
I reinstall Fedora 11 but 32-bit version. No luck. The last messages in the QGIS flash-screen is about  python plug-ins. Just for fun I uninstalled python integration and plugins for QGIS. Ooops! Now the QGIS work with "Cleanlooks" as the theme for Qt4. Reinstalling python integration and plugins for QGIS causes "Segmentation fault" again. It looks like there is something terribly wrong with python support for QGIS as well (Bug 518121).
Comment 37 Zirneklitis 2009-09-14 05:16:19 EDT
Reinstall Fedora 11 64-bit version. Works as described in Comment #35 if "Python
integration and plugins for qgis" is not used.
Comment 38 Kevin Kofler 2010-03-05 06:23:30 EST
*** Bug 570768 has been marked as a duplicate of this bug. ***
Comment 39 Balint Cristian 2010-03-18 05:41:28 EDT
- Works as of:
gdal-1.7.1-1.fc14.x86_64 or gdal-1.6.2-5.fc13.x86_64
qt-devel-4.6.2-7.fc13.x86_64


I'll check grass now.
Comment 40 Balint Cristian 2010-03-18 05:45:24 EDT
Trying now update to gdal-1.6.2-6 and see.
Comment 41 Bug Zapper 2010-04-27 09:58:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 42 Sven Lankes 2010-05-12 19:06:12 EDT
I'm seeing this again (maybe related t the last couple of updates to gdal that enable grass support again?).

I'm receiving bugreports for merkaartor running under gnome again (bz #589496).

Linking the above helloworld.cpp against gdal and running it under gnome results in a segfault.
Comment 43 Dan Horák 2010-05-13 02:34:33 EDT
Same situation with qlandkartegt, but what's interesting is the fact that it crashes in F-11 and F-13, F-12 is fine, haven't tried rawhide yet. And the workaround with overriding the style doesn't help.
Comment 44 Sven Lankes 2010-05-13 03:03:51 EDT
There is a fresh backtrace in bug 589496
Comment 45 Sven Lankes 2010-05-13 03:06:57 EDT
*** Bug 589496 has been marked as a duplicate of this bug. ***
Comment 46 Dan Horák 2010-05-13 03:50:14 EDT
qlandkartegt-0.18.1-1.fc14.x86_64 (even without the workaround)
gdal-1.7.1-2.fc14.x86_64
^^^ this combination runs fine in rawhide
Comment 47 Sven Lankes 2010-05-13 03:59:45 EDT
(In reply to comment #46)

> qlandkartegt-0.18.1-1.fc14.x86_64 (even without the workaround)
> gdal-1.7.1-2.fc14.x86_64
> ^^^ this combination runs fine in rawhide    

Looking at the changelog it seems that this gdal-version is currently built without grass-support. Not sure if that is for bootstrapping purposes or if it's going to stay that way.
Comment 48 Dan Horák 2010-05-13 04:09:53 EDT
Ah, that explains it, gdal in both F-12 and rawhide are built without grass ...
Comment 49 Dan Horák 2010-05-13 06:56:17 EDT
The reason why the apps are crashing again (e.g. in F-11) is the update from qt 4.5 to 4.6. The qt 4.6 code added an explicit call to the gtk style engine when run under GNOME, see gui/kernel/qapplication_x11.cpp, around line 2307

...
        if (X11->desktopEnvironment == DE_KDE)
            X11->desktopVersion = QString::fromLocal8Bit(qgetenv("KDE_SESSION_VERSION")).toInt();

#if !defined(QT_NO_STYLE_GTK)
        if (X11->desktopEnvironment == DE_GNOME) {
            static bool menusHaveIcons = QGtkStyle::getGConfBool(QLatin1String("/desktop/gnome/interface/menus_have_icons"), true);
            QApplication::setAttribute(Qt::AA_DontShowIconsInMenus, !menusHaveIcons);
        }
#endif
...

This code doesn't exist in qt 4.5 and in my opinion it's the reason why the workaround doesn't work.
Comment 50 Dan Horák 2010-05-13 07:06:57 EDT
*** Bug 588088 has been marked as a duplicate of this bug. ***
Comment 51 Dan Horák 2010-05-13 07:07:38 EDT
*** Bug 585998 has been marked as a duplicate of this bug. ***
Comment 52 Kevin Kofler 2010-05-13 11:45:02 EDT
BTW, that workaround needs to go away ASAP, as it makes those apps look ugly in KDE (it always uses the Cleanlooks style no matter what). If it doesn't work anyway, that's all the more reason to remove it.
Comment 53 Dan Horák 2010-05-13 12:36:39 EDT
Created attachment 413811 [details]
script to build the reproducer and prepare some logs

I was also able to kill the over-linking (unused-direct-shlib-dependency) in gdal and grass libraries with using "-Wl,--as-needed", but it made no change in this issue.
Comment 54 Dan Horák 2010-05-13 12:39:07 EDT
(In reply to comment #52)
> BTW, that workaround needs to go away ASAP, as it makes those apps look ugly in
> KDE (it always uses the Cleanlooks style no matter what). If it doesn't work
> anyway, that's all the more reason to remove it.    

Well, better to look ugly than to crash. But it's true that now (with qt 4.6) it doesn't make sense to keep the workaround.
Comment 55 Dan Horák 2010-05-14 07:30:04 EDT
I've started to look at this issue more seriously and as a first step I've built minimalized (read as almost all features disabled) gdal and grass libraries. The test case binary now opens only 52 libraries instead of 99 when built against Fedora packages. But it still crashes ...
Comment 56 Kevin Kofler 2010-05-14 08:57:39 EDT
This:
nm -D `ldd /usr/bin/qlandkartegt | sed -e 's/^.* => //g' -e 's/ (.*$//g'` | \
grep '^[0-9a-f ]' | sed -e 's/^........ //g' | grep '^T' | sort | uniq -c | \
grep -v '^      1 '
should give you a list of suspicious symbols (defined in more than one shared library). It's likely that one of those symbols is causing the symbol conflict.
Comment 57 Kevin Kofler 2010-05-14 08:59:58 EDT
Though actually, I guess you need to ldd also the libraries which are being dlopened, e.g. /usr/lib/libgtk-x11-2.0.so
Comment 58 Dan Horák 2010-05-14 09:12:24 EDT
The list of libraries can be obtained when running with LD_DEBUG=all, the outputs are stored at http://fedora.danny.cz/tmp

Unfortunately the output from the command above (on my minimalized test-case) is empty, even when run with the library list returned by ld. My recent idea is that the wrong order of library constructors makes the app crash.
Comment 59 Jan Kratochvil 2010-05-14 11:06:24 EDT
Asked by dhorak to post some notes.
Reproduced by Comment 53 on F-13 x86_64 current-latest.

The crash happens for ./a at:

#0  x11EventSourcePrepare (s=<value optimized out>, timeout=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:79
79                 && !source->d->queuedUserInputEvents.isEmpty()));
(gdb) l
74     if (timeout)
75         *timeout = -1;
76     GX11EventSource *source = reinterpret_cast<GX11EventSource *>(s);
77     return (XEventsQueued(X11->display, QueuedAfterFlush)
78             || (!(source->flags & QEventLoop::ExcludeUserInputEvents)
79                 && !source->d->queuedUserInputEvents.isEmpty()));
80 }

That `GX11EventSource *source' has been allocated by:

171 QGuiEventDispatcherGlibPrivate::QGuiEventDispatcherGlibPrivate()
172 {
173     x11EventSource = reinterpret_cast<GX11EventSource *>(g_source_new(&x11EventSourceFuncs,
174                                                                       sizeof(GX11EventSource)));
175     g_source_set_can_recurse(&x11EventSource->source, true);
176
177     memset(&x11EventSource->pollfd, 0, sizeof(GPollFD));
178     x11EventSource->flags = QEventLoop::AllEvents;
179     x11EventSource->q = 0;
180     x11EventSource->d = 0;
181
182     g_source_attach(&x11EventSource->source, mainContext);
183 }

But there is ->d initialized to 0.  Therefore the ->d dereference apparently
crashes.

The non-crashing ./a1 gets that ->d initialized by:

#0  QGuiEventDispatcherGlib::startingUp (this=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:217
#1  0x00007ffff736594e in QApplicationPrivate::construct (this=0x602f90, dpy=0x0, visual=0, cmap=0) at kernel/qapplication.cpp:773
#2  0x00007ffff73661b1 in QApplication::QApplication (this=0x7fffffffd240, argc=@0x7fffffffd20c, argv= 0x7fffffffd358, _internal=263682) at kernel/qapplication.cpp:693
#3  0x00000000004009d2 in main (argc=1, argv=0x7fffffffd358) at a.cpp:6

The crash for ./a happens during a call from kernel/qapplication.cpp:771.

In the non-crashing ./a1 the initialization happens during a call from:
kernel/qapplication.cpp:773.

Therefore there is a fragile state of GX11EventSource in between which gets
exploited by some callbacks which get installed by static constructors of
-lgrass_gproj or probably from one of the many libraries indirectly linked in
through libgrass_gproj.so dependencies.

x11EventSourcePrepare should be fortified against NULL d.  Whether it should
ignore NULL d or assertion-fail on NULL d I do not know, the whole problems
needs more analysis whether the current codebase should handle such case or
whether the newly installed hook/callback by the -lgrass_gproj indirect
libraries is incorrect (in such case there should be an assertion check to
forbid installation of new hooks/callbacks so early).
Comment 60 Kevin Kofler 2010-05-14 11:14:25 EDT
I guess we can add a NULL check there to stop this crash from happening.
Comment 61 Dan Horák 2010-06-03 04:45:58 EDT
*** Bug 598996 has been marked as a duplicate of this bug. ***
Comment 62 Dan Horák 2010-06-03 04:46:27 EDT
*** Bug 599251 has been marked as a duplicate of this bug. ***
Comment 63 Sven Lankes 2010-06-08 12:04:40 EDT
*** Bug 601629 has been marked as a duplicate of this bug. ***
Comment 64 Sven Lankes 2010-06-08 12:05:26 EDT
*** Bug 594859 has been marked as a duplicate of this bug. ***
Comment 65 Sven Lankes 2010-06-10 10:46:33 EDT
*** Bug 602711 has been marked as a duplicate of this bug. ***
Comment 66 Dan Horák 2010-06-13 13:10:31 EDT
*** Bug 603443 has been marked as a duplicate of this bug. ***
Comment 67 Dan Horák 2010-06-19 10:34:21 EDT
*** Bug 605942 has been marked as a duplicate of this bug. ***
Comment 68 Nicolas GIF 2010-06-19 11:36:39 EDT
Package: merkaartor-0.15.3-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launch Merkaartor as user
2.
3.


Comment
-----
Seg fault at launch. Happens since I updated from F12 to F13.
The app doesn't crash when I launch it as root.
Comment 69 Frank 2010-06-20 04:19:40 EDT
I submitted bug 605942, which has been marked as a duplicate. My crash is with qlandkartegt-0.18.1-1.fc13.x86_64. I read through all of the above, but don't understand much. 

So, is there a way to run qlandkartegt under F13 without crash?

Frank
Comment 70 Sven Lankes 2010-06-20 04:27:41 EDT
(In reply to comment #69)

> So, is there a way to run qlandkartegt under F13 without crash?

Currently the only known workaround is to run it from a kde session.
Comment 71 Sven Lankes 2010-06-22 04:01:54 EDT
*** Bug 606181 has been marked as a duplicate of this bug. ***
Comment 72 Sven Lankes 2010-06-23 16:42:51 EDT
*** Bug 607329 has been marked as a duplicate of this bug. ***
Comment 73 Christof Damian 2010-06-24 08:04:42 EDT
For people like me who want to run merkaartor on F-13. I managed to get it running by either rebuilding the F-13 RPM with a change to the spec file to disable GDAL 

--- F-13/merkaartor.spec	14 Jun 2010 22:42:09 -0000	1.26
+++ F-13/merkaartor.spec	24 Jun 2010 11:44:47 -0000
@@ -28,7 +28,7 @@
 %build
 rm -rf includes/boost
 lrelease-qt4 src/src.pro
-qmake-qt4 Merkaartor.pro PREFIX=%{_prefix} LIBDIR=%{_libdir} RELEASE=1 VERSION=0.16 REVISION=.1 NODEBUG=1 GEOIMAGE=1 GPSD=1 GDAL=1 
+qmake-qt4 Merkaartor.pro PREFIX=%{_prefix} LIBDIR=%{_libdir} RELEASE=1 VERSION=0.16 REVISION=.1 NODEBUG=1 GEOIMAGE=1 GPSD=1 GDAL=0 
 make %{?_smp_mflags}

or building the version from the git repository:

git clone http://git.gitorious.org/merkaartor/main.git merkaartor
cd merkaartor
qmake-qt4 NODEBUG=1 GEOIMAGE=1 GPSD=1 GDAL=0
make
./binaries/bin/merkaartor
Comment 74 Sven Lankes 2010-06-26 18:21:56 EDT
*** Bug 607935 has been marked as a duplicate of this bug. ***
Comment 75 Rex Dieter 2010-06-29 12:50:10 EDT
For giggles, can anyone seeing this try if this helps?

QT_NO_GLIB=1 merkaartor
Comment 76 Christof Damian 2010-06-29 12:57:39 EDT
(In reply to comment #75)
> For giggles, can anyone seeing this try if this helps?
> 
> QT_NO_GLIB=1 merkaartor    

works for me with merkaartor-0.16.1-1.fc13.x86_64

cheers
Comment 77 Nicolas GIF 2010-06-29 13:32:45 EDT
(In reply to comment #76)
> (In reply to comment #75)
> > For giggles, can anyone seeing this try if this helps?
> > 
> > QT_NO_GLIB=1 merkaartor    
> 
> works for me with merkaartor-0.16.1-1.fc13.x86_64
> 
> cheers

Works for me too when setting QT_NO_GLIB=1.
Comment 78 Stephan Peccini 2010-06-29 14:18:52 EDT
Works for me:

[stephan@kulta Europe]$ qlandkartegt 
------------ 4506687.439892 5432922.567629
------------  +proj=tmerc +lat_0=0 +lon_0=12 +k=1 +x_0=4500000 +y_0=0 +ellps=bessel +datum=potsdam +units=m +no_defs +towgs84=606.0,23.0,413.0
Erreur de segmentation (core dumped)

[stephan@kulta Europe]$ QT_NO_GLIB=1  qlandkartegt 
------------ 4506687.439892 5432922.567629
------------  +proj=tmerc +lat_0=0 +lon_0=12 +k=1 +x_0=4500000 +y_0=0 +ellps=bessel +datum=potsdam +units=m +no_defs +towgs84=606.0,23.0,413.0
------------ 4506687.439892 5432922.567629
------------  +proj=tmerc +lat_0=0 +lon_0=12 +k=1 +x_0=4500000 +y_0=0 +ellps=bessel +datum=potsdam +units=m +no_defs +towgs84=606.0,23.0,413.0
...

Thanks
Comment 79 Leif Gruenwoldt 2010-06-29 14:28:29 EDT
Works for qgis too. Woot!

$ QT_NO_GLIB=1 qgis
Comment 80 Rex Dieter 2010-06-29 15:36:29 EDT
OK, thanks for the confirmations.  I think we've got a lead here on how to apply a workaround in qt (at least until the source of problematic glib event loop callbacks are found).
Comment 82 Sven Lankes 2010-06-30 01:46:56 EDT
(In reply to comment #81)

> Test qt builds that include a workaround: 
> F-14/rawhide: https://koji.fedoraproject.org/koji/buildinfo?buildID=180455

I have tried this build and it fixes the issue for me.
Comment 83 Russell Harrison 2010-07-01 10:44:13 EDT
(In reply to comment #81)
> Test qt builds that include a workaround: 
> F-13: http://koji.fedoraproject.org/koji/buildinfo?buildID=180430

These packages seems to have resolved my issue preventing qgis from loading as well.
Comment 84 Dan Horák 2010-07-01 11:07:10 EDT
And qlandkartegt works too with the patched qt.
Comment 85 Sven Lankes 2010-07-02 13:57:51 EDT
*** Bug 610835 has been marked as a duplicate of this bug. ***
Comment 86 Dan Horák 2010-07-03 07:19:38 EDT
*** Bug 610973 has been marked as a duplicate of this bug. ***
Comment 87 Dan Horák 2010-07-03 09:09:01 EDT
*** Bug 611071 has been marked as a duplicate of this bug. ***
Comment 88 Dan Horák 2010-07-03 12:49:28 EDT
*** Bug 611095 has been marked as a duplicate of this bug. ***
Comment 89 Dan Horák 2010-07-06 17:05:44 EDT
*** Bug 611431 has been marked as a duplicate of this bug. ***
Comment 90 Volker Fröhlich 2010-07-12 04:38:09 EDT
*** Bug 611670 has been marked as a duplicate of this bug. ***
Comment 91 Volker Fröhlich 2010-07-12 04:38:33 EDT
*** Bug 606095 has been marked as a duplicate of this bug. ***
Comment 92 Volker Fröhlich 2010-07-12 04:38:50 EDT
*** Bug 604314 has been marked as a duplicate of this bug. ***
Comment 93 Volker Fröhlich 2010-07-12 05:01:45 EDT
*** Bug 613377 has been marked as a duplicate of this bug. ***
Comment 94 Fedora Update System 2010-07-12 08:53:54 EDT
qt-4.6.3-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/qt-4.6.3-8.fc13
Comment 95 Fedora Update System 2010-07-12 08:56:05 EDT
qt-4.6.3-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qt-4.6.3-8.fc12
Comment 96 Fedora Update System 2010-07-13 03:38:36 EDT
qt-4.6.3-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 97 Fedora Update System 2010-07-13 03:42:22 EDT
qt-4.6.3-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 98 Volker Fröhlich 2010-07-13 15:05:52 EDT
*** Bug 614042 has been marked as a duplicate of this bug. ***
Comment 99 Volker Fröhlich 2010-08-07 17:57:24 EDT
*** Bug 622164 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.